Bug 189427 - avahi-resolve incorrect help message
avahi-resolve incorrect help message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 17:38 EDT by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 05:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2006-04-19 17:38:44 EDT
Description of problem:
avahi-resolve --help says:
$ avahi-resolve --help
avahi-resolve [options] -a <host name ...>
avahi-resolve [options] -n <address ... >
[...]

while the meaning of the options is the opposite:
-n expects the host name as an argument (foo.local, for example), and
-a expects the IP address as an argument (10.0.0.1 or 3ffe::1, for example).

either the options are misnamed, or the --help message is wrong.

Version-Release number of selected component (if applicable):
avahi-tools-0.6.9-8.FC5

I wanted to report this upstream to the freedesktop.org bugzilla, but apparently
they are not accepting bug reports for avahi anymore.
Comment 1 Jason Vas Dias 2006-04-20 18:17:14 EDT
Yes, this is a typo in the upstream source - fixed in CVS .
The fix will go into the next avahi-0.6.9.9+ version, but I don't think
it warrants a package respin .
You can raise avahi bugs at : http://avahi.org - if you've not already
done so, I'll raise an upstream bug about this - thanks.



Comment 2 Jan "Yenya" Kasprzak 2006-04-21 04:18:17 EDT
> I don't think it warrants a package respin .

I agree.

> I'll raise an upstream bug about this - thanks.

OK, thanks.
Comment 3 Fedora Update System 2006-05-03 14:57:10 EDT
avahi-0.6.9-9.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Fedora Update System 2006-05-21 10:09:27 EDT
avahi-0.6.9-9.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 5 Jan "Yenya" Kasprzak 2006-05-24 06:56:05 EDT
Looks OK here, the bug can be closed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.